$(document).ready(function() {

  $(function () {
    $('[data-toggle="tooltip"]').tooltip()
  })

  /* SEARCH */

  // Show/hide more filters
  $('.product-search-bar .search-more-filters').click(function() {
    $(this).hide();
    $('.hide-more-filters').show();
    let filters = $('.product-search-bar .central-store-filters');
    filters.slideDown();
  });
  $('.product-search-bar .hide-more-filters').click(function() {
    $(this).hide();
    $('.search-more-filters').show();
    let filters = $('.product-search-bar .central-store-filters');
    filters.slideUp();
  });

  /* ADD TO CART HOME */

  // Show cart modal
  $('.action-add-to-cart').click(function() {
    let home_cart_modal = $(this).attr('data-modal-cart');
    $('#'+home_cart_modal).modal({backdrop: 'static', keyboard: false});
  });
  $('.action-add-to-cart2').click(function() {
    let home_cart_modal = $(this).attr('data-modal-cart');
    $('#'+home_cart_modal).modal({backdrop: 'static', keyboard: false});
  });

  // On lot selection (selectbox change)
  $('.modal-home-add-cart form.add-to-cart select.lots').change(function() {
    let lot_quantity = $(this).children("option:selected").attr('data-lot-quantity');
    let lot_unit_price = $(this).children("option:selected").attr('data-lot-unit-price');
    // Update quantity
    $(this).closest('form').find('input[name=quantity]').attr('data-available-quantity', lot_quantity);
    // Update price
    $(this).closest('form').find('input[name=quantity]').attr('data-resell-price', lot_unit_price);
    $(this).closest('form').find('.unit_price').text(lot_unit_price);
    // Update total price, for example if quantity is > 1 
    let wanted_quantity = $(this).closest('form').find('input[name=quantity]').val();
    let computed_price = wanted_quantity * lot_unit_price;
    if(isNaN(computed_price)) {
      computed_price = 0;
    }
    computed_price = computed_price.toFixed(2);
    $(this).closest('form').find('.price').text(computed_price);
  });

  // On quantity update (input update)
  $('.modal-home-add-cart form.add-to-cart input[name=quantity]').keyup(function() {
    let available_quantity = parseFloat($(this).attr('data-available-quantity'));
    let resell_price = parseFloat($(this).attr('data-resell-price'));
    let wanted_quantity = parseFloat($(this).val());
    let computed_price = $(this).val() * resell_price;
    if(isNaN(computed_price)) {
      computed_price = 0;
    }
    computed_price = computed_price.toFixed(2);
  
    $(this).parent().parent().find('button span.price').text(computed_price);

    if ($.isNumeric(wanted_quantity) && wanted_quantity > 0 && wanted_quantity <= available_quantity) {
      $(this).parent().parent().find('button').attr("disabled", false);
      $(this).removeClass('cart-error');
    } else {
      $(this).parent().parent().find('button').attr("disabled", "disabled");
      $(this).addClass('cart-error');
    }
  });

  // Add to cart
  $('.modal-home-add-cart form.add-to-cart button').click(function(e) {
    e.preventDefault();
    let product_id = $(this).attr('data-product-id');

    $.ajax({
        method: "POST",
        url: "ajax.php?action=add_to_cart&product_id="+product_id,
        data: $('#modal-add-'+product_id+' form.add-to-cart').serialize(),
          success: function(response) {
            $('#modal-add-'+product_id).find('.alert-home-add-cart').slideDown();

            // Update menu cart quantity
            $('.container-menu-cart-number').html(response);

            setTimeout(function() { 
              $('#modal-add-'+product_id).modal('hide'); 
              $('#modal-add-'+product_id).find('.alert-home-add-cart').hide();
            }, 2000);
          }
    });
  });

  /* REMOVE FROM CART */

  $('#cart-requested').on('click', '.cart-remove', function(e) {
    e.preventDefault();
    let product_id = $(this).attr('data-product-id');

    $.ajax({
      method: "POST",
      url: "ajax.php?action=remove_from_cart&product_id="+product_id,
      success: function( response ) {
        $('#cart-requested').html(response);

        // Update menu quantity
        $.ajax({
          method: "POST",
          url: "ajax.php?action=update_menu_quantity",
          success: function( response2 ) {
              $('.container-menu-cart-number').html(response2);
          }
        });
      }
    });
  });

  /* HOME VIEW PRODUCT DETAILS */

  $('[data-modal-view-product]').click(function() {
    let home_product_modal = $(this).attr('data-modal-view-product');
    $('#'+home_product_modal).modal({backdrop: 'static', keyboard: false});
  });

  /* CART CHANGE QUANTITY */

  // $('#cart-requested').on('change', '.cart-line-change-quantity', function(e) {
  //   let available_quantity = parseFloat($(this).attr('data-max'));
  //   let wanted_quantity = parseFloat($(this).val());

  //   if ($.isNumeric(wanted_quantity) && wanted_quantity > 0 && wanted_quantity <= available_quantity) {
  //     $(this).closest('td').find('.cart-update-quantity').css('display', 'inline-block');
  //     $(this).closest('tr').addClass('highlight-update');
  //     $(this).closest('tr').removeClass('highlight-error');
  //   } else {
  //     $(this).closest('td').find('.cart-update-quantity').css('display', 'none');
  //     $(this).closest('tr').removeClass('highlight-update');
  //     $(this).closest('tr').addClass('highlight-error');
  //   }
  // });

  $('#cart-requested').on('keyup', '.cart-line-change-quantity', function(e) {
    let available_quantity = parseFloat($(this).attr('data-max'));
    let wanted_quantity = parseFloat($(this).val());

    if ($.isNumeric(wanted_quantity) && wanted_quantity > 0 && wanted_quantity <= available_quantity) {
      $(this).closest('td').find('.cart-update-quantity').css('display', 'inline-block');
      $(this).closest('tr').addClass('highlight-update');
      $(this).closest('tr').removeClass('highlight-error');
    } else {
      $(this).closest('td').find('.cart-update-quantity').css('display', 'none');
      $(this).closest('tr').removeClass('highlight-update');
      $(this).closest('tr').addClass('highlight-error');
    }    
  });

  $('#cart-requested').on('click', '.cart-update-quantity', function(e) { /* Validation button to update cart */
    e.preventDefault();

    let product_id = $(this).closest('tr').find('input.cart-line-change-quantity').attr('data-productid');
    let new_quantity = $(this).closest('tr').find('input.cart-line-change-quantity').val();

    let update_url = $(this).attr('href');

    $.ajax({
        method: "POST",
        url: update_url,
        data: {
          'product_id': product_id,
          'new_quantity': new_quantity
        },
        success: function(response) {
          $('#cart-requested').html(response);

          // Update menu quantity
          $.ajax({
            method: "POST",
            url: "ajax.php?action=update_menu_quantity",
            success: function( response2 ) {
                $('.container-menu-cart-number').html(response2);
            }
          });
        }
    });
  });

  /* CART CHECKOUT */

  jQuery('#contact_name').keyup(function() {
    if(jQuery(this).val() != '') {
      jQuery(this).closest('form').find('button').prop('disabled', false);
    } else {
      jQuery(this).closest('form').find('button').prop('disabled', true);
    }
  });

  jQuery('#login').keyup(function() {
    if(jQuery(this).val() != '' && jQuery('#password').val() != '') {
      jQuery(this).closest('form').find('button').prop('disabled', false);
    } else {
      jQuery(this).closest('form').find('button').prop('disabled', true);
    }
  });

  jQuery('#password').keyup(function() {
    if(jQuery(this).val() != '' && jQuery('#password').val() != '') {
      jQuery(this).closest('form').find('button').prop('disabled', false);
    } else {
      jQuery(this).closest('form').find('button').prop('disabled', true);
    }
  });

  /* LOGIN MODE: AUTHENTICATE */

  jQuery(document).on('submit', '.form-cart-authenticate', function(e) {
    e.preventDefault();

    jQuery.ajax({
      method: "POST",
      url: "ajax.php?action=authenticate",
      data: jQuery(this).serialize(),
      success: function(response) {
        $('.cart-mode-container').html(response);
      }
    });

    return false;
  });

  /* ORDER APPROVE/REJECT */

  jQuery(document).on('click', '.order-validation-buttons a', function(e) {
    e.preventDefault();
    let url = jQuery(this).attr('href');
    
    jQuery.ajax({
      method: "POST",
      url: url,
      success: function(response) {
        jQuery('.order-validation-buttons').html(response);
      }
    });
  });

});