<?php

class Lot {
	public function destock($order, $cart) {
		foreach($order['items'] as $item_id => $item) {
			$product_id = $item['product_id'];
			$product_cart = $cart[$product_id];

			$data = array(
				'item_id'    => $item_id,
				'lot'        => $product_cart['lot']['lot_id'] . '/LT',
				'quantity'   => $product_cart['cart_quantity'],
				'status'     => 'DELIVERED'
			);

			if(isset($order['requester']['id']) && is_numeric($order['requester']['id'])) {
				$data['contact_id'] = $order['requester']['id'];
			}

			if(isset($order['requester_name']) && !empty($order['requester_name'])) {
				$data['requester_name'] = $order['requester_name'];
			}
			
			$api = new APICaller(CONFIG_API_URL, APICaller::API_LOT, CONFIG_API_TOKEN);
			$response = $api->post($data); // Will be converted in query string
		}
	}
}

