<?php

// Manage search

$search = (isset($_GET['search']) && !empty($_GET['search'])) ? $_GET['search'] : '';

// Custom fields filters

$custom_filters = array('default' => array(), 'custom' => array(), 'custom_lot' => array(), 'custom_risk' => array());

if(isset($_GET['default']) && !empty($_GET['default'])) {
	foreach($_GET['default'] as $cff_id => $cff_val) {
		$custom_filters['default'][$cff_id] = urlencode($cff_val);
	}
}

if(isset($_GET['custom']) && !empty($_GET['custom'])) {
	foreach($_GET['custom'] as $cff_id => $cff_val) {
		$custom_filters['custom'][$cff_id] = urlencode($cff_val);
	}
}

if(isset($_GET['custom_lot']) && !empty($_GET['custom_lot'])) {
	foreach($_GET['custom_lot'] as $cff_id => $cff_val) {
		$custom_filters['custom_lot'][$cff_id] = urlencode($cff_val);
	}
}

if(isset($_GET['custom_risk']) && !empty($_GET['custom_risk'])) {
	foreach($_GET['custom_risk'] as $cff_id => $cff_val) {
		$custom_filters['custom_risk'][$cff_id] = urlencode($cff_val);
	}
}

// Pagination

$products_count = $catalogManager->count(array_merge(array(
	'search' => $search),
	$custom_filters
));

$nb_pages = ceil($products_count/CONFIG_ITEMS_PER_PAGE); 
$current_page = (isset($_GET['page']) && is_numeric($_GET['page'])) ? $_GET['page'] : 1;
$offset = ( $current_page * CONFIG_ITEMS_PER_PAGE ) - ( CONFIG_ITEMS_PER_PAGE - 1 );

// Products

$products = $catalogManager->getAll(array_merge(array(
	'offset' => $offset,
	'limit' => CONFIG_ITEMS_PER_PAGE,
	'search' => $search),
	$custom_filters
));

// Custom fields filters

$centralStoreFieldsFilters = $centralStoreConfigManager->getAll();