<?php
define('ROOT_DIR', dirname(__FILE__) . '/');
include(ROOT_DIR . 'includes.php');

if(!$setup->isInstalled()) {
  $setup->install();
  if($setup->isInstalled()) {
    header('Location: index.php');
  }
} ?>

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <!-- Favicon icon --> 
    <link type="image/png" id="favicon" rel="shortcut icon" href="assets/img/logo.png" />

    <script src="assets/vendor/jquery-3.5.1.min.js"></script>

    <title><?php echo Customize::getCatalogTitle(); ?></title>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="assets/vendor/bootstrap-4.5.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/vendor/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="assets/css/client.css">
    <?php echo Customize::getCustomizedStyles(); ?>
  </head>
  <body>

    <nav class="navbar navbar-expand-lg fixed-top">
      <div class="container">
        <a class="navbar-brand" href="index.php">
          <img src="<?php echo Customize::getLogo(); ?>" class="d-inline-block align-middle" style="<?php echo Customize::getLogoStyles(); ?>">
          <div class="navbar-brand-title">
            <?php echo Customize::getCatalogTitle(); ?>
            <div class="catalog-powered">Powered by LabCollector Central Store</div>
          </div>
        </a>

        <?php if($setup->isInstalled()): ?>
          <div class="btn-group d-block d-sm-block d-lg-none">
            <button type="button" class="btn btn-catalog dropdown-toggle" data-toggle="dropdown" data-display="static">
              <i class="far fa-bars"></i>
            </button>
            <div class="dropdown-menu dropdown-menu-right">
              <a class="dropdown-item" href="index.php"><i class="fal fa-home"></i><?php echo _CATALOG_MENU_HOME; ?></a>
              <a class="dropdown-item" href="index.php?action=cart"><i class="fal fa-shopping-cart"></i><?php echo _CATALOG_MENU_CART; ?></a>
              <?php if($setup->isSuperAdmin()): ?>
                <a class="dropdown-item" href="index.php?action=setup"><i class="fal fa-cog"></i><?php echo _CATALOG_SETUP; ?></a>
              <?php endif; ?>
            </div>
          </div>

          <div class="collapse navbar-collapse">
            <ul class="navbar-nav">
              <li class="nav-item">
                <a class="nav-link" href="index.php"><i class="fal fa-home"></i><?php echo _CATALOG_MENU_HOME; ?></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="index.php?action=cart">
                  <i class="fal fa-shopping-cart"></i><?php echo _CATALOG_MENU_CART; ?>
                  <span class="container-menu-cart-number">
                    <?php include(ROOT_DIR . 'views/partial/_menu_cart_number.php'); ?>
                  </span>
                </a>
              </li>
              <?php if($setup->isSuperAdmin()): ?>
                <li class="nav-item">
                  <a class="nav-link nav-link-superadmin" href="index.php?action=setup"><i class="fal fa-cog"></i><?php echo _CATALOG_SETUP; ?></a>
                </li>
              <?php endif; ?>
            </ul>
          </div>
        <?php endif; ?>
      </div>
    </nav>
    
    <?php if(!isset($_GET['action']) || $_GET['action'] == 'cart'): ?>
      <div class="container-search">
        <div class="container">
          <?php $centralStoreFieldsFilters = $centralStoreConfigManager->getAll();
          include(ROOT_DIR . 'views/partial/_search_bar.php'); ?>
        </div>
      </div>
    <?php else: ?>
      <div class="top-spacer"></div>
    <?php endif; ?>

    <div class="container container-content">
      <?php if(!$setup->isInstalled() && !$setup->hasPermissionToInstall()): ?>
        <div class="alert alert-danger alert-dismissible alert-catalog alert-order">
          <i class="fas fa-exclamation-triangle"></i><?php echo _ALERT_INSTALLATION_PERMISSIONS; ?>
        </div>
      <?php else: ?>
        <?php include(ROOT_DIR . 'routing.php'); ?>
      <?php endif; ?>
    </div> <!-- /container -->

    <script src="assets/vendor/bootstrap-4.5.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/client.js"></script>

    <?php // Extra JS conditional
    include(ROOT_DIR . 'views/partial/_dynamic.php'); ?>

    <?php if($setup->isInstalled()): ?>
      <div class="version">v<?php echo $version; ?></div>
    <?php endif; ?>

  </body>
</html>