<?php 
class Customize {
	public static function getLogo() {
        $logo_path = 'assets/img/logo.png';

        if(defined('CONFIG_LOGO_IMAGE') && !empty(CONFIG_LOGO_IMAGE)) {
            $getheaders = @get_headers(CONFIG_LOGO_IMAGE);
            $is_url_200 = strpos($getheaders[0], '200');

            if (( file_exists(dirname(__FILE__).DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR.'assets/img/'.CONFIG_LOGO_IMAGE)) || $is_url_200) {
                $logo_path = $is_url_200 ? CONFIG_LOGO_IMAGE : 'assets/img/'.CONFIG_LOGO_IMAGE;
            }
        }
        
        return $logo_path;
    }

    public static function getLogoStyles() {
        $styles = 'max-height:40px;';
        if(defined('CONFIG_LOGO_STYLES') && !empty(CONFIG_LOGO_STYLES)) {
            $styles = CONFIG_LOGO_STYLES;
        }

        return $styles;
    }

    public static function getCatalogTitle() {
        $val = 'Catalog';
        if(defined('CONFIG_TITLE') && !empty(CONFIG_TITLE)) {
            $val = CONFIG_TITLE;
        }

        return $val;
    }

    public static function getCustomizedStyles() {
        $val = '<style>
            .navbar {
                background:' . self::getPrimaryBackgroundColor() . ' !important;
            }

            .navbar-brand,
            .navbar-nav .nav-link {
                color:' . self::getPrimaryTextColor() . ' !important;
            }

            .navbar-nav li a:hover,
            .navbar-nav li a:focus {
                background:' . self::getSecondaryBackgroundColor() . ' !important;
                color:' . self::getSecondaryTextColor() . ' !important;
            }

            .product-search-bar button {
                background:' . self::getPrimaryBackgroundColor() . ' !important;
                color:' . self::getPrimaryTextColor() . ' !important;
            }

            .product-search-bar button:focus,
            .product-search-bar button:hover {
                background:' . self::getSecondaryBackgroundColor() . ' !important;
                color:' . self::getSecondaryTextColor() . ' !important;
            }
        </style>';

        return $val;
    }

    public static function getPrimaryBackgroundColor() {
        $val = '#333';
        if(defined('CONFIG_PRIMARY_BACKGROUND_COLOR') && !empty(CONFIG_PRIMARY_BACKGROUND_COLOR)) {
            $val = CONFIG_PRIMARY_BACKGROUND_COLOR;
        }

        return $val;
    }

    public static function getPrimaryTextColor() {
        $val = '#FFF';
        if(defined('CONFIG_PRIMARY_TEXT_COLOR') && !empty(CONFIG_PRIMARY_TEXT_COLOR)) {
            $val = CONFIG_PRIMARY_TEXT_COLOR;
        }

        return $val;
    }

    public static function getSecondaryBackgroundColor() {
        $val = '#f36927';
        if(defined('CONFIG_SECONDARY_BACKGROUND_COLOR') && !empty(CONFIG_SECONDARY_BACKGROUND_COLOR)) {
            $val = CONFIG_SECONDARY_BACKGROUND_COLOR;
        }

        return $val;
    }

    public static function getSecondaryTextColor() {
        $val = '#FFF';
        if(defined('CONFIG_SECONDARY_TEXT_COLOR') && !empty(CONFIG_SECONDARY_TEXT_COLOR)) {
            $val = CONFIG_SECONDARY_TEXT_COLOR;
        }

        return $val;
    }
}
