<?php

class Setup {

	public function __construct() {
		$config_ini = $this->getConfig();
		foreach($config_ini as $key => $value) {
			define($key, $value);
		}
	}

	public function isInstalled() {
		return file_exists(ROOT_DIR . 'config.ini');
	}

	public function install() {
		if(!$this->isInstalled() && $this->hasPermissionToInstall()) {
			@copy(ROOT_DIR . 'config.ini.sample', ROOT_DIR . 'config.ini');
			chmod(ROOT_DIR . 'config.ini', 0777);
		}
	}

	public function hasPermissionToInstall() {
		return is_writable(ROOT_DIR);
	}

	public function isSuperAdmin() {
		return ($_SESSION['superadm'] == '1' || $_SESSION['superadm'] == '2');
	}

	public function getConfig() {
		return @parse_ini_file(ROOT_DIR . 'config.ini');
	}

	public function save($post) {
		$new_ini_content = '';
		foreach($post as $key => $value) {
			if(!empty($value)) {
				$new_ini_content .= "$key = '$value'\r\n";
			}
		}

		return file_put_contents(ROOT_DIR . 'config.ini', $new_ini_content);
	}
}

